{
  "name": "distributed_system",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@date-io/moment": "1.x",
    "@material-ui/core": "^4.9.0",
    "@material-ui/icons": "^4.9.1",
    "@material-ui/pickers": "^3.2.10",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.3.2",
    "@testing-library/user-event": "^7.1.2",
    "axios": "^0.19.2",
    "bootstrap": "^4.4.1",
    "classnames": "^2.2.6",
    "moment": "^2.24.0",
    "node-sass": "^4.13.1",
    "react": "^16.12.0",
    "react-digraph": "^6.7.1",
    "react-dom": "^16.12.0",
    "react-lottie": "^1.2.3",
    "react-redux": "^7.2.0",
    "react-router-dom": "^5.1.2",
    "react-scripts": "^3.4.1",
    "react-toastify": "^5.5.0",
    "redux": "^4.0.5",
    "redux-saga": "^1.1.3",
    "socket.io-client": "^2.3.0"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "docker:dev": "docker-compose up --build",
    "docker:dev:stop": "docker-compose down -v --rmi local",
    "docker:prod": "docker-compose -f docker-compose-prod.yml up --build -d",
    "docker:prod:stop": "docker-compose -f docker-compose-prod.yml down -v --rmi local"
  },
  "proxy": "http://localhost:8300",
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.2",
    "react-test-renderer": "^16.13.1"
  }
}
